package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.layout.HLayout;

import de.intevation.flys.client.client.FLYSMessages;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class MainMenu extends HLayout {

    /** The interface that provides i18n messages. */
    private FLYSMessages messages = GWT.create(FLYSMessages.class);

    /**
     * The default constructor for creating a new MainMenu.
     */
    public MainMenu() {
        init();
    }


    protected void init() {
        setWidth("100%");
        setHeight("50");

        setBorder("1px solid #808080");
        setBackgroundColor("#C3D9FF");

        addMember(new Label(messages.title()));
        addMember(new Label(messages.greeting("GAST")));
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
